# Submit external KYC

POST https://api.letsdeel.com/rest/v2/screenings/kyc/external
Content-Type: multipart/form-data

The endpoint standardizes identity verification and compliance processes, combining automated Live ID verification (IDV) and manual review workflows
 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/reference/endpoints/screenings/submit-external-kyc

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /screenings/kyc/external:
    post:
      operationId: submit-external-kyc
      summary: Submit external KYC
      description: >-
        The endpoint standardizes identity verification and compliance
        processes, combining automated Live ID verification (IDV) and manual
        review workflows
         **Token scopes**: `worker:write`
      tags:
        - subpackage_screenings
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: KYC data successfully received
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Screenings_submitExternalKyc_Response_201'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitExternalKycRequestBadRequestError'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataKycDocumentType:
      type: string
      enum:
        - passport
        - driving_license
        - government_id
        - other
      description: Type of KYC document (e.g., passport, driver's license)
      title: >-
        ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataKycDocumentType
    ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataKycDocument:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataKycDocumentType
          description: Type of KYC document (e.g., passport, driver's license)
        id_number:
          type: string
          description: Document identification number
        document_name:
          type: string
          description: Name of the document when type is 'other'
        issuance_date:
          type: string
          format: date
          description: Date when the document was issued (YYYY-MM-DD)
        expiration_date:
          type: string
          format: date
          description: Expiry date of the document (YYYY-MM-DD)
        issuance_country:
          type: string
          description: Country where the document was issued (ISO 3166‑1 alpha‑2)
      required:
        - type
        - id_number
        - issuance_country
      title: >-
        ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataKycDocument
    ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataScreeningType:
      type: string
      enum:
        - live
        - manual
      description: >-
        Tells your API whether the identity verification check should be
        performed automatically (“live”) or via human review (“manual”)
      title: >-
        ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataScreeningType
    ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataScreeningStatus:
      type: string
      enum:
        - approved
        - rejected
      description: The result of the screening process
      title: >-
        ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataScreeningStatus
    ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaData:
      type: object
      properties:
        back:
          type: string
          format: binary
          description: >-
            Back side file of the KYC document. Required when kyc_document.type
            equals to either 'driving_license' or 'government_id'. Not needed
            when equals to 'passport'. Optional when type is 'other'
        front:
          type: string
          format: binary
          description: Front side file of the KYC document
        last_name:
          type: string
          description: Worker's last name
        first_name:
          type: string
          description: Worker's first name
        middle_name:
          type:
            - string
            - 'null'
          description: Worker's middle name (if available)
        kyc_document:
          $ref: >-
            #/components/schemas/ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataKycDocument
        date_of_birth:
          type: string
          format: date
          description: Worker's date of birth (YYYY-MM-DD)
        screening_type:
          $ref: >-
            #/components/schemas/ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataScreeningType
          description: >-
            Tells your API whether the identity verification check should be
            performed automatically (“live”) or via human review (“manual”)
        selfie_with_id:
          type: string
          format: binary
          description: Selfie file for identity verification
        screening_status:
          $ref: >-
            #/components/schemas/ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaDataScreeningStatus
          description: The result of the screening process
      required:
        - front
        - last_name
        - first_name
        - kyc_document
        - date_of_birth
        - screening_type
        - selfie_with_id
        - screening_status
      title: ScreeningsKycExternalPostRequestBodyContentMultipartFormDataSchemaData
    ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: >-
            Timestamp when screening was successfully received and processed
            (ISO 8601)
        request_id:
          type: string
          description: Request identifier for this KYC submission
      required:
        - created_at
        - request_id
      title: ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaData
    Screenings_submitExternalKyc_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: Screenings_submitExternalKyc_Response_201
    ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        path:
          type: string
          description: The JSON path where input validation failed
        message:
          type: string
          description: A description of the returned error
      title: >-
        ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaErrorsItems
    ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaRequest:
      type: object
      properties:
        url:
          type: string
          description: The relative URL of the failed request
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        method:
          type: string
          description: The HTTP method of the failed request
        source:
          type: string
          description: The source handler which produced the returned error
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
      title: ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaRequest
    SubmitExternalKycRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaErrorsItems
        request:
          $ref: >-
            #/components/schemas/ScreeningsKycExternalPostResponsesContentApplicationJsonSchemaRequest
      title: SubmitExternalKycRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/screenings/kyc/external"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "multipart/form-data; boundary=---011000010111000001101001"
}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/screenings/kyc/external';
const form = new FormData();
form.append('data', '{
  "front": "string",
  "last_name": "Doe",
  "first_name": "John",
  "kyc_document": {
    "type": "passport",
    "id_number": "X12345678",
    "issuance_country": "US"
  },
  "date_of_birth": "1985-11-23",
  "screening_type": "live",
  "selfie_with_id": "string",
  "screening_status": "approved"
}');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/screenings/kyc/external"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/screenings/kyc/external")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/screenings/kyc/external")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/screenings/kyc/external', [
  'multipart' => [
    [
        'name' => 'data',
        'contents' => '{
  "front": "string",
  "last_name": "Doe",
  "first_name": "John",
  "kyc_document": {
    "type": "passport",
    "id_number": "X12345678",
    "issuance_country": "US"
  },
  "date_of_birth": "1985-11-23",
  "screening_type": "live",
  "selfie_with_id": "string",
  "screening_status": "approved"
}'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/screenings/kyc/external");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"front\": \"string\",\n  \"last_name\": \"Doe\",\n  \"first_name\": \"John\",\n  \"kyc_document\": {\n    \"type\": \"passport\",\n    \"id_number\": \"X12345678\",\n    \"issuance_country\": \"US\"\n  },\n  \"date_of_birth\": \"1985-11-23\",\n  \"screening_type\": \"live\",\n  \"selfie_with_id\": \"string\",\n  \"screening_status\": \"approved\"\n}\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "data",
    "value": "{
  \"front\": \"string\",
  \"last_name\": \"Doe\",
  \"first_name\": \"John\",
  \"kyc_document\": {
    \"type\": \"passport\",
    \"id_number\": \"X12345678\",
    \"issuance_country\": \"US\"
  },
  \"date_of_birth\": \"1985-11-23\",
  \"screening_type\": \"live\",
  \"selfie_with_id\": \"string\",
  \"screening_status\": \"approved\"
}"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/screenings/kyc/external")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```